LayerInstantiationException (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang, class: LayerInstantiationException
Keywords: java.lang.LayerInstantiationException class

# Class LayerInstantiationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.LayerInstantiationException

All Implemented Interfaces:
  `Serializable`

public class LayerInstantiationException extends RuntimeException
Thrown when creating a module layer fails.

Since:
  9
See Also:
  - `ModuleLayer`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayerInstantiationException()`
  Constructs a `LayerInstantiationException` with no detail message.
  `LayerInstantiationException(String msg)`
  Constructs a `LayerInstantiationException` with the given detail message.
  `LayerInstantiationException(String msg, Throwable cause)`
  Constructs a `LayerInstantiationException` with the given detail message and cause.
  `LayerInstantiationException(Throwable cause)`
  Constructs a `LayerInstantiationException` with the given cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LayerInstantiationException

    public LayerInstantiationException()
    Constructs a `LayerInstantiationException` with no detail message.

  - ### LayerInstantiationException

    public LayerInstantiationException(String msg)
    Constructs a `LayerInstantiationException` with the given detail message.
    Parameters:
      `msg` - The detail message; can be `null`

  - ### LayerInstantiationException

    public LayerInstantiationException(Throwable cause)
    Constructs a `LayerInstantiationException` with the given cause.
    Parameters:
      `cause` - The cause; can be `null`

  - ### LayerInstantiationException

    public LayerInstantiationException(String msg, Throwable cause)
    Constructs a `LayerInstantiationException` with the given detail message and cause.
    Parameters:
      `msg` - The detail message; can be `null`
      `cause` - The cause; can be `null`